Blame README.suse-maint

dc5164
To update this package to a new upstream release, run:
Bernhard M. Wiedemann d3c34b
dc5164
$ current_version=$(ls alacritty-*.tar.xz)
dc5164
$ osc service disabledrun
dc5164
dc5164
This should be enough do make a tarball out of the GitHub source tree AND
dc5164
vendor all the needed Rust crates. If the cargo-audit source service detect
dc5164
some bad enough vulnerability and give you the red light go visit
dc5164
https://github.com/openSUSE/obs-service-cargo_audit to further instructions,
dc5164
and/or contact the Alacritty maintainers.
dc5164
dc5164
Otherwise you should be good to go:
dc5164
dc5164
$ rm ${current_version}; osc addremove
dc5164
dc5164
# If you have the power to build locally:
dc5164
$ osc build
dc5164
dc5164
$ new_version=$(ls alacritty-*.tar.xz)
dc5164
$ osc ci -m "Update to ${new_version} release"
dc5164
$ osc sr -m "Update to ${new_version} release"
3afa1e